This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 105759 - No local mailer defined in default configuration.
No local mailer defined in default configuration.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-26 22:22 EDT by Dams
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-11 08:54:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dams 2003-09-26 22:22:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703
Galeon/1.3.9

Description of problem:
I dont understand very well why this has disappeared from the default
sendmail.mc configuration file but i think there should be a line
'Cwlocalhost.localdomain' at the end of it. Without this line, [and once
sendmail listen on other-than-localhost-ip adress, ] sendmail is unable to
receive mail from outside.. If you dont want to re-add this line, then *at
least* add i comment so that people will know what to do. 

And by the way, this comment in sendmail.mc is absolutly wrong (or at least "no
more true") : 


dnl # NOTE: binding both IPv4 and IPv6 daemon to the same port requires
dnl #       a kernel patch


[root@gruyere /etc/mail]# telnet localhost 25
Trying 127.0.0.1...
Connected to localhost.
Escape character is '^]'.
220 localhost.localdomain ESMTP Sendmail 8.12.10/8.12.10; Sat, 27 Sep 2003
04:18:14 +0200
Connection closed.
[root@gruyere /etc/mail]# telnet ::1 25
Trying ::1...
Connected to ::1.
Escape character is '^]'.
220 localhost.localdomain ESMTP Sendmail 8.12.10/8.12.10; Sat, 27 Sep 2003
04:18:20 +0200
[root@gruyere /etc/mail]# telnet 192.168.40.7 25
Trying 192.168.40.7...
Connected to 192.168.40.7.
Escape character is '^]'.
220 localhost.localdomain ESMTP Sendmail 8.12.10/8.12.10; Sat, 27 Sep 2003
04:20:40 +0200
[root@gruyere /etc/mail]# telnet 2001:7a8:482a:0:204:75ff:fe7e:5289 25
Trying 2001:7a8:482a:0:204:75ff:fe7e:5289...
Connected to 2001:7a8:482a:0:204:75ff:fe7e:5289.
Escape character is '^]'.
220 localhost.localdomain ESMTP Sendmail 8.12.10/8.12.10; Sat, 27 Sep 2003
04:20:20 +0200

So please remove this comment.

Version-Release number of selected component (if applicable):
sendmail(0:8.12.10-1.1).i386

How reproducible:
Always

Steps to Reproduce:
1. just installl sendmail and look at the default configuration file.
    

Additional info:
Comment 1 Florian La Roche 2003-12-11 08:54:45 EST
C{w}localhost.localdomain is in my sendmail.cf and the comment
about needing a kernel patch is also gone in the newest rpm.

Thanks a lot for your feedback. Newest rpm is on
http://people.redhat.com/laroche/

greetings,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.